﻿<!DOCTYPE html>
<html>
    <head>
        <title>ESPN sports news app</title>
		<link rel="Stylesheet" type="text/css" href="resources/lib/css/app.css" />
		<link rel="Stylesheet" type="text/css" href="resources/lib/css/nivo-slider.css" />
		<link rel="Stylesheet" type="text/css" href="themes/default/default.css" />
		<link rel="Stylesheet" type="text/css" href="resources/lib/css/Dialog.css" />
    </head>
    <body>
		<div class="espn-sports-news-app">
			<div id='wrapper'>
				<div id='newsWrapper'>
					<h2 id='filter-title-sport'>All Sports</h2>
					<button id='filter-btn'>Filter</button>
					<img id='attribution' src='resources/images/espn-black_50.png' alt='ESPN' />
				</div>
			</div>
		</div>
		<div id="ESPN-APP">
			<div id="app-header">
			</div>
			<div id="app-content">
			</div>
			<div id="app-footer">
			</div>
		</div>
		<script type="text/template" id="news-item-template">
			<% _.each(items, function(item) { %>
				<div class="news-item">
					<h4>
						<a href="<%- item.url %>" target="_blank" title="Go to the article">
							<%- item.headline %>
						</a>
						<button class="read-more">Read More</button>
					</h4>
					<div class="description" style="display: none;">
						<p><%- item.description %></p>
					</div>
				</div>
			<% }); %>
		</script>
		<script type="text/javascript" src="resources/lib/js/jQuery.js"></script>
		<script type="text/javascript" src="resources/lib/js/Underscore.js"></script>
		<script type="text/javascript" src="resources/lib/js/Backbone.js"></script>
		<script type="text/javascript" src="resources/lib/js/jquery.nivo.slider.pack.js"></script>
		<script type="text/javascript" src="resources/js/ESPN.js"></script>
		<script type="text/javascript" src="resources/js/Dialog.js"></script>
		<script type="text/javascript" src="resources/js/NewsView.js"></script>
		<script type="text/javascript" src="resources/js/AppRouter.js"></script>
		<script type="text/javascript" src="resources/js/Main.js"></script>
		<script type="text/javascript">
			// perform init actions
			// var AllNews = ESPN.News.createInstance();
			// var BasketBallNews = ESPN.News.createInstance("basketball/");
			// var BaseBallNews = ESPN.News.createInstance("baseball/");
			// var SoccerNews = ESPN.News.createInstance("soccer/");
			// var MmaNews = ESPN.News.createInstance("mma/");
			// var FootBallNews = ESPN.News.createInstance("football/");
			// var HockeyNews = ESPN.News.createInstance("hockey/");
			// var HorseRacingNews = ESPN.News.createInstance("horse-racing/");
			// var BoxingNews = ESPN.News.createInstance("boxing/");
			// var GolfNews = ESPN.News.createInstance("golf/");
			// var RacingNews = ESPN.News.createInstance("racing/");
			// var OlympicNews = ESPN.News.createInstance("olympics/");
			// var TennisNews = ESPN.News.createInstance("tennis/");
			// var ActionSportsNews = ESPN.News.createInstance("action-sports/");

			// AllNews.getNews();

			// var FilterBox = ESPN.Filter.createInstance();

			// $("#filter-btn").click(function()
			// {
			// 	FilterBox.open();
			// });
		</script>
    </body>
</html>
